#include "MenuTextSlotRoomName.h"

void MenuTextSlotRoomName::Step()
{
	if (bOnce)
	{
		//혤닸도츰
		el.eid = L"";
		if(gameFunc && gameFunc->SaveNameGetRoomName)
			gameFunc->SaveNameGetRoomName(&el.eid, el.eventName.c_str());
		bOnce = false;
	}
}

void MenuTextSlotRoomName::SetState(int stateID, int lr)
{
	bOnce = lr;
}

void MenuTextSlotRoomName::ReloadLanguage()
{
	//혤닸도츰
	el.eid = L"";
	if (gameFunc && gameFunc->SaveNameGetRoomName)
		gameFunc->SaveNameGetRoomName(&el.eid, el.eventName.c_str());
}

std::shared_ptr<Entity> CreateMenuTextSlotRoomName()
{
	return std::make_shared<MenuTextSlotRoomName>();
}